Deliveries

List all deliveries

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Query parameters
pageintegerOptional

A page number within the paginated result set.

uid__instringOptional

Comma separated list of transport uids.

Example: 4443d4b6-e165-11ea-a488-0242ac110007
Responses
chevron-right
200

Get successful

application/json
countintegerOptionalExample: 1
nextstring · nullableOptional
previousstring · nullableOptional
get
/deliveries/
200

Get successful

Read a delivery

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstringRequired
remote_idstringOptional

If you choose to identify an object with its remote_id instead of its uid then

  • replace the uid value with the remote_id value in the URL

  • specify lookup_field=remote_id in the query parameters

Query parameters
lookup_fieldstringOptional

Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)

Responses
chevron-right
200

Get successful

application/json
uidstringOptional

Dashdoc's internal id.

sequential_idnumberOptional

eCMR number

Example: 1240993
remote_idstringOptional
tracking_idstringOptional

Deprecated

shipper_referencestringOptional

Reference the client may use to match transport on his own system, e.g. an order number. The transport's creator can toggle a setting to only allow himself to set it.

multiple_roundsbooleanOptional

If true, the trucker will be able to do a signature at loading, then add any amount of rounds for the transport (with weight/volume and weight ticket), and finish with a signature at unloading.

get
/deliveries/{uid}/
200

Get successful

Partially update a delivery

patch
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstringRequired
Body
shipper_referencestringOptional

Reference the client may use to match transport on his own system, e.g. an order number.

multiple_roundsbooleanOptional

If true, the trucker will be able to do a signature at loading, then add any amount of rounds for the transport (with weight/volume and weight ticket), and finish with a signature at unloading.

Responses
chevron-right
200

Update successful

application/json
uidstringOptional

Dashdoc's internal id.

sequential_idnumberOptional

eCMR number

Example: 1240993
remote_idstringOptional
tracking_idstringOptional

Deprecated

shipper_referencestringOptional

Reference the client may use to match transport on his own system, e.g. an order number. The transport's creator can toggle a setting to only allow himself to set it.

multiple_roundsbooleanOptional

If true, the trucker will be able to do a signature at loading, then add any amount of rounds for the transport (with weight/volume and weight ticket), and finish with a signature at unloading.

patch
/deliveries/{uid}/
200

Update successful

Last updated

Was this helpful?